package gjson

import (
	"fmt"
	"testing"
)

func TestMethodCase(t *testing.T) {
	content := `{"name":{"first":"int ","last":"Prichard"}, "age":(47)}`
	r := Parse(content)

	t.Error(r.Get("age"))

	t.Error(fmt.Sprintf("%#v", r))

	content = `(12+23)`
	r = Parse(content)

	t.Error(fmt.Sprintf("%#v", r))

	content = `[(12+2), 213, {"name": "das", "key": (23+4)}]`
	r = Parse(content)

	t.Error(fmt.Sprintf("%#v", r))

}
